SiSU CHANGELOG    -*- mode: org; -*-
#+OPTIONS: ^:nil _:nil

* SiSU version 4
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v4;hb=HEAD>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob_plain;f=debian/changelog;hb=refs/heads/debian/sid>

v5 development branch
v4 branch is removed; it is available in sisu < 5.3.0
v3 branch is removed; it is available in sisu < 4.1.0
v2 branch is removed; it is available in sisu =< 3.3.2

  - homepages: <http://sisudoc.org> <http://www.jus.uio.no/sisu>
  - data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
  - CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

   initial goals:
   - remove/retire "skins"; replace some functionality with headers and/or yml
     file (consider header like syntax for document and site appearance info)
   - bin/sisu $0 make possible to run sisu command on/within project dir tree
   - bin/sisu $*, hub, make possible to specify dir path for markup files

* Legacy Branch, Reference

Reverse Chronological:

--- HEAD --- [closed]

* sisu_4.2.21.orig.tar.xz (2014-01-26:03/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.21

  [closed]

  - bin/sisu changes to simplify switching to new stable and development branches

* sisu_4.2.20.orig.tar.xz (2014-01-20:03/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.20

  [good time to consider rollover: closing v4 branch, replacing it with v5 &
  introducing v6 for development, proposed for this release + 1]

  - bin/sisu & some related lib changes

  - sysenv for texpdf, fix for when tex to pdf generator is absent

* sisu_4.2.19.orig.tar.xz (2014-01-17:02/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.19

  - bin/sisu experimentation
    - start preparing for ruby changes
    - work on fix for bug related to gem path & system installed sisu

* sisu_4.2.18.orig.tar.xz (2014-01-12:01/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.18

  - texinfo, fixes

  - texpdf, report on pdf output, provide a working link to a generated file-size
    (multiple document file-sizes may be produced)

* sisu_4.2.17.orig.tar.xz (2014-01-06:01/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.17

  - bin/sisu
    - (ensure SiSU_version_dir) fix
    - sisu version info, yml info also when installed via ruby gem
    - downstream libs

  - fixes
    - ao_doc_str, nodes, possible parents, correction
    - epub, url closure decoration
    - sysenv, qrcode report absent program, minor
    - html scroll toc, clean links where none, exclude metadata

* sisu_4.2.16.orig.tar.xz (2013-12-15:49/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.16

  - Rakefile, (installer), reduce actions

* sisu_4.2.15.orig.tar.xz (2013-12-09:49/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.15

  - Rakefile, (installer) improve, re-arrange

  [NOTE disk crash (2013-11-28), fairly good but incomplete backup affecting
  work]

* sisu_4.2.14.orig.tar.xz (2013-12-03:48/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.14

  - rake create build & install sisu gemspec; (.gitignore), work on
    - gemspec adjusted to install only libraries related to a version (v4 or v5)
    - select sisu version to create, build & install

  - bin/sisu, simplify in relation to sisu gem

* sisu_4.2.13.orig.tar.xz (2013-12-02:48/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.13

  - rake create build & install sisu gemspec; bin/sisugem (add .gitignore)
    - rake gemcbi #(create build install sisu gem)
    - rake gemspecscreate && \
      rake gembuild && \
      sudo rake geminstall
    - rake gemspecscreate && \
      gem build sisu5.gemspec && \
      sudo gem install --no-rdoc --no-ri \
      sisu-5.1.0.gem
    - bin/sisu updated (modified to take account of gems)
    - bin/sisugem added
    - .gitignore sisu-*.gem sisu*.gemspec
      consider inclusion (& tracking) of rake created sisu4.gemspec
      sisu5.gemspec (as this makes their availability more obvious)
    - once gem is installed: "sisu _5.1.0_ -vM" (to see version, commands
      otherwise as usual) if paths are such that sisu is not available
      "sisugem _5.1.0_ -vM" should work (as it is installed by gemspec, but not
      other sisu installers)

  - hub, sisu4 -M (maintenance mode) provide info as to path to hub.rb (i.e.
    where library is being drawn)

* sisu_4.2.12.orig.tar.xz (2013-11-08:44/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.12

  - rake (& rant) sisu installer
    - do less by default
    - removed rant generated sisu-install

  - vim, ftplugin sisu.vim, fix missing <leader>

  - sisu_manual, minor info addition

  - bin/sisu-*
    - use option flag full names
    - add sisu-html-scroll, sisu-html-seg, sisu-pdf-portrait, sisu-pdf-landscape

* sisu_4.2.11.orig.tar.xz (2013-11-05:44/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.11

[5.0.24 changes only]

* sisu_4.2.10.orig.tar.xz (2013-11-02:43/6)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.10

  - constants, ocn output delimiter (where used) changed to 「...」
    (from square brackets [...])

* sisu_4.2.9.orig.tar.xz (2013-10-27:42/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.9

  - dal, document_structure_check_info

* sisu_4.2.8.orig.tar.xz (2013-10-23:42/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.8

  - dal, parent & node info, fix
    (used e.g. for mind map type output (last for kdissert output, no longer
    supported))

  - dal, collapsed levels implemented
    convenience, collapse sisu's dual level document structure for output of
    markup with straight linear structure

* sisu_4.2.7.orig.tar.xz (2013-10-17:41/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.7

  - constants, change a couple of internal processing delimiter characters, that
    might be used in ordinary marked up text (to characters even less likely to
    be of use in ordinary (marked up) text)

* sisu_4.2.6.orig.tar.xz (2013-10-16:41/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.6

  - constants, change a couple of internal processing delimiter characters, that
    might be used in ordinary marked up text

  - vim, minor updates, not syntax related

  - markup sample, update book index markup, appearance, minor

* sisu_4.2.5.orig.tar.xz (2013-09-22:37/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.5

  - bin/sisu update language list ja ko zh, fix

* sisu_4.2.4.orig.tar.xz (2013-09-21:37/6)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.4

  - i18n CJK: zh ja ko, add languages Chinese, Japanese, Korean
    - texpdf, has large texlive xetex dependencies (Korean untested)
    - [concordance, untouched does nothing cjk, decide whether to disable]

  - sisu_manual, (in markup-samples) move to en/ sub-dir (permitting
    translations)
    - use of language sub-dir for source sisu markup suited to permitting
      translation management by po4a
    - sisurc.yml minor
    - Rakefile to help place sisu markup in a source language directory under
      po4a management

  - Rakefile to assist in placing sisu markup under po4a management
    (sisu_manual)
    - Provided as an example with sisu_manual
    - fairly generic, but potentially dangerous, can be used to place sisu
      markup source translations under po4a management, but user needs to know
      what this is, (and how to set it up, hence sisu_manual as an example
      (despite the lack of translations)) as can clobber/destroy files that are
      not managed by po4a.

  - dal, objects, store book index as hash (simplify downstream processing), and
    associated downstream processing change from v5
    - db, book index, convert hash back to string

  - minor cleaning

* sisu_4.2.3.orig.tar.xz (2013-09-07:35/6)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.3

[5.0.16 changes only]

* sisu_4.2.2.orig.tar.xz (2013-09-05:35/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.2

  - dal, grouped text with fontface spanning newlines, partial solution, merge
    from 5.0.14

  - dal, book index markup, allow spaces on both sides of delimiters, or a space
    before and newline following a delimiter \s+[:|;](\s+|\n)
    [else parses as before no spaces]

  - vim syntax, book index markup, hilight delimeters

* sisu_4.2.1.orig.tar.xz (2013-08-28:34/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.1

  - config files (by filetype & filename) touched

  - manifest, output organised by, info, minor touch

  - vim syntax, sisu.vim, fix typo
    - ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"

  - pdf (latex) tables, bugfix

  - odf:odt, footnotes, fix

  - dal, text blocks, tuning

* sisu_4.2.0.orig.tar.xz (2013-08-25:33/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.2.0

  - merge v5
    - syntax add
      - switch ocn off and on for a block of content, line containing only
        off: "--~#" (omit headings where possible) "---#" on: "--+#"
      - alternative open and close for blocks using line starting with "```",
        e.g.  open code block:  "``` code"; close code block: "```"
        start poem:       "``` poem"; end poem:         "```"
      - remove need for an empty line between opening & closing of a text block
    [note use of "~~" considered but more problematic, (tics not used elsewhere)]

  - vim syntax, improve grouped text match, open, close of blocks using tics
    "```"
    - ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
    - grouped text, open, close of blocks using tics "```"

  - css, html, epub, adjust paragraph spacing, (increase, whitespace aesthetic,
    review further)

* sisu_4.1.12.orig.tar.xz (2013-08-21:33/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.12

  - messages to terminal
    - code marker
    - rescued error messages
    - fuchsia (sp.)

* sisu_4.1.11.orig.tar.xz (2013-08-08:31/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.11

  - dal_expand_insertions, refinement for monolingual output

* sisu_4.1.10.orig.tar.xz (2013-08-08:31/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.10

  [merge 5.0.10 lib]
  - output structure by, add monolingual alternative for :filetype or :filename
    - filename without language code, if document is in default language
    - set a default language, 'en' or as specified
    - set in rc file or from command line instruction
      - command line e.g.
        sisu -hv --monolingual --by-filename sisu_markup.sst
        sisu -3v --monolingual --by-filetype sisu_manual.ssm
      - sisurc.yml lingual: 'mono' | 'multi'
        lingual: 'mono'
    - note: output by :filetype is roughly equivalent to what monolingual output
      by :language would be
    - allow command line setting of default language using language code
      --default-language='en' --default-lang-en if used together with
      --monolingual and --by-filetype or --by-filename the selected default
      language document will not have a language code in the output filename
    - documentation

  - cgi helper script, sample search form
    - single cgi form, (with different internal variables set for output types)
    - monolingual output search form option

* sisu_4.1.9.orig.tar.xz (2013-08-01:30/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.9

* sisu_4.1.8.orig.tar.xz (2013-07-30:30/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.8

* sisu_4.1.7.orig.tar.xz (2013-06-25:25/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.7

  - "general code cleaning" fix

* sisu_4.1.6.orig.tar.xz (2013-06-25:25/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.6

  - general code cleaning, sync with v5

* sisu_4.1.5.orig.tar.xz (2013-06-22:23/6)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.5

  - vim
    - colorscheme def, mark current line
    - ftplugin sisu.vim, c-\ hard wrap lines to line width (moved from c-j)

* sisu_4.1.4.orig.tar.xz (2013-06-06:22/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.4

  - db, population of database (--update), import of master files (.ssm), fix
    (Note: for .ssm: @md.fns (is set during runtime & is) != @opt.fns @md.opt.fns,
    affects construction of unique identifier)

  - cgi helper script, sample search form generator
    - file name matching, check
    - cosmetic, drop use of images in sample form

  - sysenv, requested load warning removed, less screen clutter, consider

* sisu_4.1.3.orig.tar.xz (2013-05-30:21/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.3

  - sysenv, pgsql db connect fix

  - cgi_pgsql, cgi helper script, sample search form generator, detail

* sisu_4.1.2.orig.tar.xz (2013-05-29:21/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.2

  - help update, concentrate on man pages
    - documentation, manpage update
    - interactive help, out of date, removed

  - document version check, disable
    - automatic check disabled
    - check and correction of pre 0.38 markup removed

  - sysenv, version info moved here from help

  - cgi helper script sample search form generator, adjust/improve, adds
    settings:
      db type                         --db-pq or db-sqlite
      webserver for cgi script & db   --webserv-search=''
      webserver for sisu ouptut files --webserv-output=''
      cgi search form link name       --cgi-search-form-name=''
      db user (pg)                    --db-user=''

* sisu_4.1.1.orig.tar.xz (2013-05-19:19/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.1

  - vim, ftplugin, sisu.vim, statusline

  - cgi script for sample search form generator, sqlite, minor fixes (affects
    'sisu -F')

* sisu_4.1.0.orig.tar.xz (2013-05-08:18/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.1.0

  - v4:
    - v5 opened
    - v3 closed

  - defaults, sysenv, simplify default home page (by default is not used)

  - cgi script for sample search form, minor fixes

* sisu_4.0.21.orig.tar.xz (2013-05-06:18/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.21

  - minor sysenv, cgi_sql_common

* sisu_4.0.20.orig.tar.xz (2013-04-11:14/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.20

  - sisurc.yml, reorganize configuration files

  - cgi sample search form, minor

* sisu_4.0.19.orig.tar.xz (2013-04-08:14/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.19

  - sysenv, yamlrc, minor

  - options, exclude manifest links if no manifest (--no-manifest) selected

  - zap, delete output files, based on given (existing) source file name

* sisu_4.0.18.orig.tar.xz (2013-03-29:12/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.18

  - dal, screen_text_color, distinguish doc abstraction as start of processing

  - dal, reading/processing composite markup files (.ssm)
    - dbi, import composite files correctly
    - manifest, mini-table of contents, for multi-lingual composite files

  - cgi, auto-generated sample search form
    - for various sisu output directory structures
    - fixes

* sisu_4.0.17.orig.tar.xz (2013-03-25:12/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.17

  - manifest & harvest, links to default site home page index.html

  - sysenv, copy or create homepages, one of the actions taken on --config
    - provide info as to where manually created homepages may be stored
    - do not make default sisu homepage (previously did)

  - param, guard against situation where no document creator/author given

  - hub, non-verbose terminal info reduced, minor

* sisu_4.0.16.orig.tar.xz (2013-03-18:11/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.16

  - hub, processing flow, sequence, fix
    - re-run manifests at end of general processing run:
      - where document source shared and more than one markup file processed;
      - where translations of same document exist (determined by filename)

  - sysenv, epub images where processing multilingual doc in lang code sub-dir

* sisu_4.0.15.orig.tar.xz (2013-03-18:11/1)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.15

  - share document source, markup text file &/or sisupod
    - processing flow, correct sequence
    - terminal reporting

* sisu_4.0.14.orig.tar.xz (2013-03-16:10/6)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.14

  - harvest, authors, topics, terminal info

  - harvest, links for output_by? filename

  - manifest, links for output_by? alternatives, harvest & qrcode related

  - sysenv, rsync remote placement, output_by? alternatives, tuning, including
    - site_harvest
    - pdf fix
    - backround rsync only for processing of single sisu markup files

* sisu_4.0.13.orig.tar.xz (2013-03-13:10/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.13

  - html_format, manifest red arrow, next (segment), (broken) link fix, to toc

  - terminal reporting, cosmetic

  - manifest, link to harvest authors & topics if available, else cosmeitc

  - hub, sysenv, remote, work on rsync of document/site build

  - hub, sql db, fix for actions not requiring files, create, drop, etc.

* sisu_4.0.12.orig.tar.xz (2013-03-08:09/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.12

  - share_src, sisu source, permissions, make world readable when shared

  - manifest, sysenv, manifests sisupod relative link for output_by language

  - bin/sisu, process remote sisu markup file or sisupod, where url provided

  - hub, operations, report if no markup file provided, where required by
   requested action

* sisu_4.0.11.orig.tar.xz (2013-03-06:09/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.11

  - bin/sisu, expand given path for sisu executable
    (where system sisu not called directly)

  - sysenv, base images path determined from given path for sisu executable
    (where system sisu not called directly)

  - options, sisupod, name determination, fix
    - needed for creation of multiple sisupods

  - html_format, html segment navigation to toc, fix

* sisu_4.0.10.orig.tar.xz (2013-03-05:09/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.10

  - texpdf, report to STDERR when pdf not (successfully) generated, note:
    .tex file is almost certainly produced by sisu, this will be a sisu
    packaging, texlive dependency issue, preventing its conversion to pdf
    (Closes: #617359)

  - sysenv, set default output (directory layout) type where none configured
    (also turned off reporting where imagemagick & graphicsmagick not installed)

  - html, epub, minor "cleaning" of output

* sisu_4.0.9.orig.tar.xz (2013-02-22:07/5)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.9

  - dal, line across page divider -..- introduced, an alternative to page
      break -\\- & =\\=, affects pdf and odf most significantly
    - output formats modified to include, (pdf, odf, epub, html, plaintext)
    - vim syntax, sisu.vim
    - emacs, sisu-mode.el
    - documentation, sisu_markup.sst, man page sisu.1, sisu.1.html

* sisu_4.0.8.orig.tar.xz (2013-02-20:07/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.8

  - epub
    - tinkering with some headers
    - add markup of angle brackets '<' & '>' to early markup of ampersand '&'

  - html, modification to markup of angle brackets '<' & '>' and ampersand '&'

  - vim, ftplugin & colorschemes housekeeping, scheme "def*" added
    - general housekeeping
    - :colorscheme def256* defined from 256 colors (primarily 16 of them)
      terminal & gui (identical) (terminal scheme based on frugal & extended to
      cover gui)
    - :colorscheme def* cterm defined primarily using 16 colors (a few from 256)
      (to be usable tweak .Xdefaults) gui provided along with Xdefault settings
      to make cterm match this gui or def256*

  - emacs, sisu-mode.el
    - sisu headers update
    - cosmetic code reshuffle

  - b_epub.png, epub icon (for manifest) updated to use official image

* sisu_4.0.7.orig.tar.xz (2013-02-10:05/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.7

  - vim, minimal color schemes, minor edits

  - dbi_discrete, discreet should have been discrete, renames accordingly

  - lib, bin/sisu, misc, code headers provide url to online git file source
    - e.g. bin/sisu * Git
     <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
     <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=bin/sisu;hb=HEAD>

* sisu_4.0.6.orig.tar.xz (2013-02-07:05/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.6

  - html, screen reporting for --html-scroll, correctly identify output file

  - pdf
    - pdf (options, hub, urls), orientation, portrait & landscape optionally
      discrete, individually callable
      - --pdf-l (--pdf-landscape), --pdf-p (--pdf-portrait)
      - sisu latex output & xetex generation
    - pdf (options, param), papersize, command-line options to override sisurc
      settings, [a4,a5,b5,letter,legal] when --pdf* used:
      - --papersize-a4 --papersize-letter (also --a4 --letter)
      - --papersize=a4,letter
      - --pdf-a4 --pdf-letter (for portrait only --pdf-p-a4 --pdf-p-letter)
        [orientation & papersize options are set independently so calling
        --pdf-p-a4 & --pdf-l-letter would result in landscapes and portraits of
        both a4 & letter (rather than an individual request for a portrait A4 &
        a landscape letter size)]
    - texpdf, cosmetic code

  - utils (debug renamed)
    - SiSU_Utils::CodeMarker (from Debug::Mark)
    - SiSU_Utils::Path.new.base_markup provides base markup directory that
      contains sisu markup files, any language sub-directories (with sisu markup
      files) and sisu resource configuration sub-directory, if any (./_sisu)
      (identifies when needed in runtime)

  - sysenv, webserv dir (output dir), ensure it is determined from base markup
    dir where relative path provided (remove possibility of it being done from a
    language sub-directory), fix

  - documentation
    - sisu_manual/sisu_commands
    - manpage & html

* sisu_4.0.5.orig.tar.xz (2013-02-03:04/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.5

  - html (options, hub, urls), scroll & seg optionally discrete, individually
      callable
    - --html (both), --html-scroll, --html-seg
    - [possibly of interest where only one form of html of interest for use &/or
       to cut generation time (roughly to 63% for --html-scroll only)]

  - sysenv, on --redirect, stop creation of redundant dir

  - html, includes book index fix, rest cosmetic

  - css (html & epub) line spacing reduced, paragraph spacing increased
    - may need to tune spacing further to distinguish lines from new paragraphs
      (especially where ocn is not used as the distinction may be less
      clear/obvious)

  - documentation, include --html-scroll and --html-seg options
    - sisu_manual/sisu_commands
    - manpage & html

* sisu_4.0.4.orig.tar.xz (2013-01-31:04/4)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.4

  - param_make, :cover_image: regex, less finicky match of image & details
    - [bug reported by Mikael Böök]

  - dal, on ocn excluded paragraphs (~# -#), hang/indent bullet, fix
    - [bug reported indirectly by Cory Doctorow (discovered in work with
      markup)]

  - epub, constants, debug alternative for various readers ... work on

  - dal (obj), html, br_page* behavior in html depending on origin of break
    (markup specified v auto)

* sisu_4.0.3.orig.tar.xz (2013-01-27:03/7)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.3

  - epub some fixing, more documents render in more readers/viewers
    - ncx fix, navpoint_close [bug reported by Mikael Böök, with sample fix toc]
    - check xml representation of characters (& < > in particular)

  - remove markup-sample of the first edition of FaiF as redundant, the
    markup for the second edition being available (& partly in response to
    Bug#698664 which leads me to think about it), removed:
    free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
    and associated images

* sisu_4.0.2.orig.tar.xz (2013-01-23:03/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.2

  - epub
    - remove unnecessary conversion of some utf-8 characters to xhtml
      representation; fix as messed up table of contents, toc.ncx
      (e.g. in calibre)
      - [bug reported by Mikael Böök]
    - provide full depth epub table of contents [request Mikael Böök]
    - cosmetic arrangement of code <<-WOK
    - xhtml structure error, fix missing 
      - [bug reported by Mikael Böök] (fix of additional detail)

  - html
    - remove unnecessary conversion of some utf-8 characters to html
      representation

  - texpdf_format
    - list of .sty files (and their texlive source within Debian)
      [not part of code]

  - param, match possible sisu version, detail

  - sysenv, debug tag, triggered where output type not set

* sisu_4.0.1.orig.tar.xz (2013-01-01:00/2)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.1

  - html_segments (by_filename by_filetype) internal document links do not
    work filenames need to include lang code, fixed
    - [chals on irc, re live-manual, debian-live]

  - bin/sisu & sysenv, rc_path_options, provide fixed path to rc files, (used
    e.g. to load sisurc.yml)

  - options, sysenv, check (existing) inclusions & exclusions command line,
    document header, sisurc, fixes

  - plaintext, in code blocks retain a blank empty line, a fix
    - [known old bug, affects sisu_manual, fix request from SynrG on irc, re
      live-manual]

  - manpage, attempt to improve output (line-spacing)

  - param, minor change any legacy 
 line break in metadata markup to \\

  - debug (internal code use), color markers for line number & file name
    (colored location markers to show when line passed within running code)

  - control color on/off to screen
    close #622171 sisu: --color flag, which toggles color on/off
    there are various ways to control color output to screen
    - --color-off or -k switches color off
    - --color or --color-on switches color on, which is usually the default
    - --color-toggle or -c toggles the default setting (in most cases)
    - sisurc.yml can set default color state which affects most screen output
    the fix here is specific to color on/off for reporting of sisu version
    sisu -v -k
    sisu --version --color-off

  - documentation minor updates and regenerated manpage

* sisu_4.0.0.orig.tar.xz (2012-12-12:50/3)
  https://git.sisudoc.org/projects/sisu/tag/?h=sisu_4.0.0

  - bin/sisu $0 make possible to run sisu command on/within project dir tree
    (previously sisu needed to be correctly installed with system paths honored)
    NOTE: loading of skins turned off

  - bin/sisu $*, hub, make possible to specify dir path for markup files
    (previously sisu needed to be invoked and run on files within the selected
    markup file directory)
    run sisu on markup in given path (or relative path), e.g.:
      sisu ~/path1/filename.ssm ~/path2/*.ss[tm]

  - defaults, some cleaning

  - skins (remove)
    - remove skins
    - defaults, rename class Defaults (was InfoSkin)
    - sisupod, remove skin, fix path

  - db
    - no skin info to store, omitted from structure
    - change prefix name (structure changed)

  - markup samples, for v4 remove skins, separate (v3 & v4) directories

  - param (header make)
    - epub, pdf, book cover images
    - html, home button
      - text button
      - image/icon button
    - pdf, footer

  - param_make, options, read common make instruction header for documents,
    _sisu/v4/sisu_document_make
    - @make:
    - @links:

  - sisupod, use common make instruction header for documents
    - sisupod make instruction header file, write & read

  - document headers, metadata rearranged, wide-ranging effect

  - vim syntax, sisu.vim, make new headers

  - documentation; markup samples & help
